export default class ServiceException extends Error {
  message
  code
  constructor (message, code) {
    super()
    this.message = message
    this.code = code
  }

  getMessage () {
    return this.message
  }

  setMessage (message) {
    this.message = message
    return this
  }

  getCode () {
    return this.code
  }
}
